#include <yandex/maps/mrc/unittest/unittest_config.h>

#include <maps/libs/config/include/config.h>
#include <maps/libs/vault_boy/include/secrets.h>

#include <fstream>
#include <memory>

namespace maps::mrc::unittest {

common::SharedXmlDoc readUnittestConfig() {
    std::string configData = vault_boy::RandomContext{}.renderTemplate(
        config::readConfigFile("t-config.unittest.xml"));
    return std::make_shared<xml3::Doc>(xml3::Doc::fromString(configData));
}

} // namespace maps::mrc::unittest
